com.aliyun.player

## Enum IPlayer.RotateMode

- java.lang.Object
- - java.lang.Enum<IPlayer.RotateMode>
  - - com.aliyun.player.IPlayer.RotateMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IPlayer.RotateMode>
  Enclosing interface:
    IPlayer

      public static enum IPlayer.RotateMode
      extends java.lang.Enum<IPlayer.RotateMode>

  Rotate modes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ROTATE_0` Do not rotate.
    `ROTATE_180` Rotate 180 degree clockwise.
    `ROTATE_270` Rotate 270 degree clockwise.
    `ROTATE_90` Rotate 90 degree clockwise.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Query the value of the specified parameter.
    `static IPlayer.RotateMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IPlayer.RotateMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROTATE_0

          public static final IPlayer.RotateMode ROTATE_0

      Do not rotate.

    - #### ROTATE_90

          public static final IPlayer.RotateMode ROTATE_90

      Rotate 90 degree clockwise.

    - #### ROTATE_180

          public static final IPlayer.RotateMode ROTATE_180

      Rotate 180 degree clockwise.

    - #### ROTATE_270

          public static final IPlayer.RotateMode ROTATE_270

      Rotate 270 degree clockwise.

  - ### Method Detail

    - #### values

          public static IPlayer.RotateMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPlayer.RotateMode c : IPlayer.RotateMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPlayer.RotateMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Query the value of the specified parameter.
      Returns:
        The returned value.